package com.mobai.vehicle.event.service.impl;

import com.mobai.domain.EventReq;
import com.mobai.domain.Result;
import com.mobai.utils.RedisService;
import com.mobai.vehicle.event.service.EventActiveService;
import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.consumer.KafkaConsumer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Properties;

/**
 * @author Saisai
 * @className EventActiveServiceImpl
 * @description 描述
 * @date 2024/6/18 14:17
 */

@Log4j2
@Service
public class EventActiveServiceImpl implements EventActiveService {

    @Autowired
    private RedisService redisService;

    @Override
    public Result realTimeData(EventReq req) {

        if (req.getEventState()==0){
            log.info("开始实时数据事件");
            redisService.setCacheObject(req.getVin(),null);
        }else {
            log.info("关闭实时数据事件");
            redisService.deleteObject(req.getVin());
        }
        return null;
    }
}
